## spampd 2.30

=== Makefile ===
#!/usr/bin/make -f $0
#
# Make file for spampd
# created for the debian project
# by Sven Mueller <debian@incase.de>
# published under the GPL
#
ETCDIR:=$(DESTDIR)/etc
BINDIR:=$(DESTDIR)/usr/sbin
INITDIR:=/etc/init.d
DOCDIR:=$(DESTDIR)/usr/share/doc/spampd
#RUNLEVELDIRS:=$(DESTDIR)/etc/rc3.d
MANDIR:=$(DESTDIR)/usr/share/man
INSTALL:="/usr/bin/install"
LN:="ln"

.PHONY: all install uninstall clean
all: spampd.8.gz spampd.html

install: spampd.8.gz spampd.html
	$(INSTALL) -D -m 755 spampd ${BINDIR}/spampd
	$(INSTALL) -D -m 644 spampd.default ${ETCDIR}/default/spampd	
	$(INSTALL) -D -m 755 spampd-init.sh $(DESTDIR)${INITDIR}/spampd
	$(INSTALL) -D -m 644 spampd.html ${DOCDIR}/spampd.html
	$(INSTALL) -D -m 644 changelog.txt ${DOCDIR}/changelog
	for i in ${RUNLEVELDIRS}; do \
		$(LN) -sf ${INITDIR}/spampd $i/S20spampd ; \
	done
	$(INSTALL) -D -m 644 spampd.8.gz ${MANDIR}/man8/spampd.8.gz

uninstall:
	rm -f ${BINDIR}/spampd
	rm -f ${ETCDIR}/default/spampd
	rm -f $(DESTDIR)${INITDIR}/spampd
	rm -f ${DOCDIR}/spampd.html
	rm -f ${DOCDIR}/changelog
	rmdir ${DOCDIR} || true
	for i in ${RUNLEVELDIRS}; do \
		rm -f $i/S20spampd ; \
	done
	rm -f ${MANDIR}/man8/spampd.8.gz

spampd.8.gz: spampd.8
	gzip -9 < spampd.8 > spampd.8.gz

spampd.8: spampd
	pod2man --section=8 --center="Spam Proxy Daemon" spampd > spampd.8

spampd.html: spampd
	pod2html --outfile spampd.html --header --norecurse --backlink '[Back to top]' --infile spampd
	rm -f pod2htm?.tmp

clean:
	rm -f spampd.8.gz
	rm -f spampd.8
	rm -f spampd.html

=== debian/changelog ===
spampd (2.30-23) unstable; urgency=medium

  * Took over as new maintainer.
  * Moved source format to version 3.0.
  * Restored original spampd.html.
  * Added logcheck rules to filter log messages.
    Thanks to Kevin Locke <kevin@kevinlocke.name> (Closes: #642467)
  * Added hook so spampd is restarted after sa-update runs. (Closes: #800611)
  * Added systemd service file.

 -- Michael Meskes <meskes@debian.org>  Mon, 18 Jul 2016 17:20:29 +0200

spampd (2.30-22.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated to debhelper 9. (Closes: #817675)
  * Bumped Standards-Version to 3.9.8, no updates needed.
  * Fixed typos in README.Debian.
  * Cleaned up lintian warnings.

 -- Michael Meskes <meskes@debian.org>  Thu, 07 Jul 2016 16:55:02 +0200

spampd (2.30-22.2) unstable; urgency=high

  * Non-maintainer upload.
  * Make program run with perl 5.18 by untainting several options.
    (Closes: #722159)

 -- Michael Meskes <meskes@debian.org>  Sun, 22 Dec 2013 10:26:53 +0100

spampd (2.30-22.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD errors":
    add patch 70-fix-pod.patch to fix POD syntax.
    (Closes: #719505)

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Aug 2013 16:58:25 +0200

spampd (2.30-22) unstable; urgency=low

  * Fix typo in init script
  * Fix check_pid in init script to not take any pre-set VERBOSE environment
    variable into account (closes: #505430)

 -- Sven Mueller <sven@debian.org>  Wed, 12 Nov 2008 14:17:30 +0100

spampd (2.30-21) unstable; urgency=low

  * upgrade policy version
  * Add VCS and homepage information to debian/control
  * fix patches to work with new 3.0 (quilt) source format (Closes: #485357) 
  * Fix package description (Closes: #485585) 

 -- Sven Mueller <sven@debian.org>  Tue, 22 Jul 2008 18:25:57 +0200

spampd (2.30-20) unstable; urgency=low

  * Move from dpatch to quilt
  * fix init script dependencies (Closes: #470108) 

 -- Sven Mueller <sven@debian.org>  Sun, 16 Mar 2008 18:37:55 +0100

spampd (2.30-19) unstable; urgency=low

  * The "Shame again" release
  * Fix missing dereference (Closes: #425802)

 -- Sven Mueller <sven@debian.org>  Wed, 30 May 2007 18:58:55 +0200

spampd (2.30-18) unstable; urgency=low

  * The "Shame On Me" release
  * Fix a bug introduced with the patch for #421100. Actually two:
    A missing } inside one sub and the usage of a variable (by wrong name
    even) before its declaration. (Closes: #425802)

 -- Sven Mueller <sven@debian.org>  Fri, 25 May 2007 16:17:37 +0200

spampd (2.30-17) unstable; urgency=low

  * Add patch to fix multi-destination LMTP (Closes: #395355)
    Thanks for the patch and for testing it go to:
    Vladislav Kurz <vladki@brno-czfree.net>
  * Document problems with SpamAssassin's auto-whitelist plugin and
    the default filesystem storage. (Related to: bug #413753)
  * Apply patch by Alexander Wirt to introduce a parameter which 
    sets a proper home directory and also cleans up the environment
    before backgrounding. (Closes: #421100)

 -- Sven Mueller <sven@debian.org>  Tue, 22 May 2007 19:15:09 +0200

spampd (2.30-16) unstable; urgency=low

  * remove Debian specific part of libnet-server-perl syslog regression
    workaround and add versioned dependency (Closes: #407223)

 -- Sven Mueller <sven@debian.org>  Fri, 19 Jan 2007 17:29:27 +0100

spampd (2.30-15) unstable; urgency=low

  * Add versioned depend on lsb-base, I'm using log_daemon_msg which
    isn't supported in earlier versions it seems.
  * Add notes about the LMTP support and a known problem with it. The
    problem isn't reproducible for me. (Closes #395355)

 -- Sven Mueller <sven@debian.org>  Thu,  2 Nov 2006 17:27:21 +0100

spampd (2.30-14) unstable; urgency=medium

  * Change scripts to explicitly use /bin/bash instead of /bin/sh.
    If anyone wants to submit a patch to make all scripts dash-clean,
    I welcome it, but I currently have better things to do.
    (Closes: #391219) Urgency medium to match bug severity.

 -- Sven Mueller <sven@debian.org>  Mon,  9 Oct 2006 23:49:37 +0200

spampd (2.30-13) unstable; urgency=low

  * Fix the previous change. It had an unexpected side-effect

 -- Sven Mueller <sven@debian.org>  Tue,  1 Aug 2006 22:57:34 +0200

spampd (2.30-12) unstable; urgency=low

  * Add a check to 55-workaround-for-syslog-regression so that an unmodified
    spampd package from sid will also work on sarge with the fixed
    libnet-server-perl package installed

 -- Sven Mueller <sven@debian.org>  Tue,  1 Aug 2006 19:44:53 +0200

spampd (2.30-11) unstable; urgency=low

  * Remove POSIX-optional "function" preface to shell functions to make dash
    happy. Did I mention that dash isn't half as POSIX compliant as it is
    meant to be? (Closes: 376726)

 -- Sven Mueller <sven@debian.org>  Wed,  5 Jul 2006 15:36:02 +0200

spampd (2.30-10) unstable; urgency=low

  * Fix __WARN__ handler to only use a format string when appropriate, i.e.
    when syslog module is above some version. (Closes: #375939)
  * Fix missing dereference in patch introducing the optional spampd.conf
    usage. It now properly dereferences $options{'config'} (Closes: #375938)
    Thanks go to Tatsuki Sugiura for noticing these two bugs.

 -- Sven Mueller <sven@debian.org>  Thu, 29 Jun 2006 16:32:54 +0200

spampd (2.30-9) unstable; urgency=low

  * Fix unintended -8 upload with wrong distribution

 -- Sven Mueller <sven@debian.org>  Tue, 20 Jun 2006 19:52:17 +0200

spampd (2.30-8) UNRELEASED; urgency=low

  * Fix removal of stat-overrides in postrm 
  * Try to handle downgrades (even when failed) correctly in postinst/postrm

 -- Sven Mueller <sven@debian.org>  Tue, 20 Jun 2006 15:05:40 +0200

spampd (2.30-7) unstable; urgency=low

  * Install dpkg-statoverrides only if no previous version was configured or
    the previous version is lower than 2.30-5 (Closes: #374603)
  * Fix error handling in prerm

 -- Sven Mueller <sven@debian.org>  Tue, 20 Jun 2006 12:58:26 +0200



=== debian/control ===
Source: spampd
Section: mail
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), quilt, dh-exec, dh-systemd (>= 1.5)
Standards-Version: 3.9.8
Homepage: https://github.com/mpaperno/spampd

Package: spampd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, spamassassin (>= 2.6), libnet-server-perl (>= 0.89), adduser (>= 3.59), dpkg (>= 1.10.23), lsb-base (>=3.0-3)
Description: spamassassin based SMTP/LMTP proxy daemon
 spampd is an SMTP/LMTP server designed to be hooked into the
 MTA processing chain (e.g. as a content filter). It is
 written in Perl and uses the Net::Server framework. It is
 intended to provide spam filtering at the system level (i.e.
 ususally for all users). If you rely on per-user configuration
 or per-user Bayes databases, spampd is not for you.
 .
 The major advantage of spampd over plain SpamAssassin (both
 directly and through spamd) is that it doesn't need to load
 all needed perl modules on every invocation or spawn
 a C programme for every mail it receives. Compared to using
 spamc/spamd, spampd can usually provide a 25% performance
 increase with local-only tests.
 .
 The advantage of spampd over amavisd-new is that it uses the
 original SpamAssassin header tags, which are more verbose than
 the tags which amavisd-new provides. This allows easier 
 filtering in the mail client and easier tuning of SpamAssassin.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/spampd.sgml > spampd.1

	touch build-stamp

clean-patched:
	dh_testdir
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -f spampd.8 spampd.8.gz

	dh_clean

clean: clean-patched unpatch
	rm -f spampd.orig

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/spampd.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/spampd
	mkdir -p $(CURDIR)/debian/spampd/etc
	cp debian/spampd.conf	$(CURDIR)/debian/spampd/etc/spampd.conf


# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_install
	dh_installdocs
	dh_systemd_enable spampd.service
	dh_installinit --error-handler handle_init_errs
	dh_systemd_start
	dh_installman
	dh_installchangelogs changelog.txt
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
version=2
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
#sunsite.unc.edu	/pub/Linux/Incoming	spampd-(.*)\.tar\.gz	debian	uupdate
http://www.worlddesign.com/index.cfm/rd/mta/spampd.htm .*\/spampd\/spampd-([\d\.]*).tar.gz	debian uupdate

## spampd 2.42

=== debian/changelog ===
spampd (2.42-1) unstable; urgency=medium

  * Updated watch file for new github location.
  * New upstream version 2.42 (Closes: #826159)
  * Removed special handling of updates from very old versions.
  * Set homedir to Debian standard.

 -- Michael Meskes <meskes@debian.org>  Sun, 31 Dec 2017 15:32:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), quilt, dh-exec, dh-systemd (>= 1.5)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), quilt, dh-exec
+Standards-Version: 4.1.2
 Homepage: https://github.com/mpaperno/spampd
 
 Package: spampd
@@ -26,6 +26,6 @@
  .
  The advantage of spampd over amavisd-new is that it uses the
  original SpamAssassin header tags, which are more verbose than
- the tags which amavisd-new provides. This allows easier 
+ the tags which amavisd-new provides. This allows easier
  filtering in the mail client and easier tuning of SpamAssassin.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/spampd-$1\.tar\.gz/ \
  https://github.com/mpaperno/spampd/tags .*/v?(\d\S+)\.tar\.gz

## spampd 2.51

=== debian/changelog ===
spampd (2.51-1) unstable; urgency=medium

  * New upstream version 2.51
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 20 May 2018 13:07:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 11), quilt, dh-exec
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://github.com/mpaperno/spampd
 
 Package: spampd
@@ -28,4 +28,3 @@
  original SpamAssassin header tags, which are more verbose than
  the tags which amavisd-new provides. This allows easier
  filtering in the mail client and easier tuning of SpamAssassin.
-

## spampd 2.52

=== debian/changelog ===
spampd (2.52-1) unstable; urgency=medium

  * New upstream version 2.52 (Closes: #849543)
  * Bumped Standards-Version, no changes needed.
  * Fixed usage of uninitialized value.

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Nov 2018 12:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 11), quilt, dh-exec
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/mpaperno/spampd
 
 Package: spampd

## spampd 2.53

=== debian/changelog ===
spampd (2.53-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:36 +0100

spampd (2.53-1) unstable; urgency=medium

  * New upstream version 2.53
  * Use the --setsid argument to make sure the process is correctly detached.
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 26 Feb 2019 12:16:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 11), quilt, dh-exec
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/mpaperno/spampd
 
 Package: spampd

=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,16 @@
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-	#/usr/bin/docbook-to-man debian/spampd.sgml > spampd.1
+	pod2man --section=8 --center="Spam Proxy Daemon" spampd.pl > spampd.8
+	gzip -9 < spampd.8 > spampd.8.gz
+
+	[ -f spampd.html.bck ] || mv -f spampd.html spampd.html.bck
+	pod2html --outfile spampd.html --header --norecurse --backlink '[Back to top]' --infile spampd.pl
+	rm -f pod2htm?.tmp
 
 	touch build-stamp
 
@@ -44,18 +48,13 @@
 	dh_clean
 
 clean: clean-patched unpatch
-	rm -f spampd.orig
+	[ ! -f spampd.html.bck ] || mv -f spampd.html.bck spampd.html
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
-	# Add here commands to install the package into debian/spampd.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/spampd
-	mkdir -p $(CURDIR)/debian/spampd/etc
-	cp debian/spampd.conf	$(CURDIR)/debian/spampd/etc/spampd.conf
 
 
 # Build architecture-independent files here.
@@ -67,9 +66,8 @@
 	dh_testdir
 	dh_install
 	dh_installdocs
-	dh_systemd_enable spampd.service
+	dh_installsystemd spampd.service
 	dh_installinit --error-handler handle_init_errs
-	dh_systemd_start
 	dh_installman
 	dh_installchangelogs changelog.txt
 	dh_compress

## spampd 2.62

=== debian/changelog ===
spampd (2.62-2) unstable; urgency=medium

  * Fixed config file handling for latest upstream versions.
  * Simplified rules file.

 -- Michael Meskes <meskes@debian.org>  Thu, 27 Feb 2025 15:07:13 +0100

spampd (2.62-1) unstable; urgency=medium

  * New upstream version 2.62 (Closes: #1029520)
  * Support systemd service reloading via SIGHUP.
    Thanks to Kevin Locke <kevin@kevinlocke.name> (Closes: #972577)

 -- Michael Meskes <meskes@debian.org>  Tue, 18 Feb 2025 15:08:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: mail
 Priority: optional
 Maintainer: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 11), quilt, dh-exec
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), quilt, dh-exec
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/mpaperno/spampd
 
 Package: spampd
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, spamassassin (>= 2.6), libnet-server-perl (>= 0.89), adduser (>= 3.59), dpkg (>= 1.10.23), lsb-base (>=3.0-3)
+Depends: ${perl:Depends}, ${misc:Depends}, spamassassin (>= 2.6), libnet-server-perl (>= 0.89), adduser (>= 3.59), dpkg (>= 1.10.23)
+Pre-Depends: ${misc:Pre-Depends}
 Description: spamassassin based SMTP/LMTP proxy daemon
  spampd is an SMTP/LMTP server designed to be hooked into the
  MTA processing chain (e.g. as a content filter). It is
  written in Perl and uses the Net::Server framework. It is
  intended to provide spam filtering at the system level (i.e.
- ususally for all users). If you rely on per-user configuration
+ usually for all users). If you rely on per-user configuration
  or per-user Bayes databases, spampd is not for you.
  .
  The major advantage of spampd over plain SpamAssassin (both

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

override_dh_auto_build:
	dh_auto_build
	pod2man --section=8 --center="Spam Proxy Daemon" spampd.pl > spampd.8
	gzip -9 < spampd.8 > spampd.8.gz

	pod2html --outfile spampd.html --header --norecurse --backlink --infile spampd.pl
	rm -f pod2htm?.tmp

override_dh_clean:
	-rm -f spampd.8 spampd.8.gz spampd.html
	dh_clean

%:
	dh $@
